using System;
namespace Takprog
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N, i, L;
            // Unos Broja Stalaktita i Pericine visine 
            var prviRed = Console.ReadLine();
            var nizStr = prviRed.Split(' ');
            if (nizStr.Length != 2)
            {
                Console.WriteLine("Pogresan unos. Unesite dva broja");
                return;
            }

            var prviStr = nizStr[0];
            var drugiStr = nizStr[1];
            if (!int.TryParse(prviStr, out N))
            {
                Console.WriteLine("Pogresan unos. Unesite dva broja");
                return;
            }
            if ((N < 1) || (N > 1000)) 
            {
                Console.WriteLine("Broj stalaktita mora biti u granicama od 1 do 1,000");
                return;
            }

            if (!int.TryParse(drugiStr, out L))
            {
                Console.WriteLine("Pogresan unos. Unesite dva broja");
                return;
            }
            if ((L < 1) || (L > Math.Pow(10, 9)))
            {
                Console.WriteLine("Visina Perice mora biti u granicama od 1 do 1,000,000,000");
                return;
            }
            // Unos Visina Stalaktita - ocekuje se N broj podataka
            var drugiRed = Console.ReadLine();
            nizStr = drugiRed.Split(' ');
            if (nizStr.Length != N) 
            {
                Console.WriteLine($"Unesite {N} visina stalaktita");
                return;
            }
            var H = new int[N];
            for (i = 0; i < N; i++) 
            {
                if (!int.TryParse(nizStr[i], out int broj))
                {
                    Console.WriteLine("Pogresno uneta visina");
                    return;
                }
                if ((broj < 1) || (broj > Math.Pow(10, 9)))
                {
                    Console.WriteLine("Visina Stalaktita mora biti u granicama od 1 do 1,000,000,000");
                    return;
                }
                H[i] = broj;                    
            }

            for (i = 0; i < N; i++) 
            {
                if (H[i] <= L) 
                {
                    Console.WriteLine(i + 1);
                    return;
                }                
            }
            Console.WriteLine("-1");
        }
    }
}